#
# spec file for package libgssapi (Version 0.6)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs e2fsprogs-devel file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 krb5-devel less libacl libattr libcom_err libgcc libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libgssapi
BuildRequires:  krb5-devel
URL:            http://www.citi.umich.edu/projects/nfsv4/linux
Summary:        Generic GSSAPI Library
Version:        0.6
Release:        13.7
Group:          Development/Libraries/C and C++
License:        Other uncritical OpenSource License
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %fillup_prereq %insserv_prereq
Autoreqprov:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         http://www.citi.umich.edu/projects/nfsv4/linux/libgssapi/libgssapi-%{version}.tar.bz2
Patch0:         libgssapi-0.6-unused.patch
Patch1:         libgssapi-graceful-fail.patch

%description
This library exports a gssapi interface, but does not implement any
gssapi mechanisms itself. Instead it calls gssapi routines in other
libraries, depending on the mechanism.



Authors:
--------
    Kevin W. Coffman, based on code
    from Sun Microsystems distributed
    with the MIT Kerberos distribution

%debug_package
%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{?suse_update_config:%{suse_update_config -f }}
autoconf
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure \
	--libdir=%{_libdir} \
	--mandir=%{_mandir}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/usr/local/include/gssglue/gssapi/gssapi.h

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/lib*
%{_libdir}/pkgconfig/libgssapi.pc

%changelog
* Mon Sep 03 2007 - meissner@suse.de
- Fail gracefully if we have no GSSAPI providers.
  (Can happen in chrooted binds for instance). #290327
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 12 2005 - okir@suse.de
- Update to latest upstream version (0.6)
* Fri May 20 2005 - okir@suse.de
- Initial packaging
